Bug 1762755 - Review Request: vim-trailing-whitespace - Highlights trailing whitespace in red and provides :FixWhitespace to fix it
Summary: Review Request: vim-trailing-whitespace - Highlights trailing whitespace in r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-17 12:01 UTC by Artem
Modified: 2020-07-08 00:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-29 01:05:47 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-10-17 12:01:44 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/vim-airline/fedora-31-x86_64/01063051-vim-trailing-whitespace/vim-trailing-whitespace.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/vim-airline/fedora-31-x86_64/01063051-vim-trailing-whitespace/vim-trailing-whitespace-1.0-1.20170923git4c59654.fc31.src.rpm

Description:
This plugin causes all trailing whitespace to be highlighted in red.

To fix the whitespace errors, just call :FixWhitespace. By default it operates
on the entire file. Pass a range (or use V to select some lines) to restrict
the portion of the file that gets fixed.

Fedora Account System Username: atim

Comment 1 Robert-André Mauchin 🐧 2019-12-07 16:08:30 UTC
I can't find any license anywhere, how do you know it's "Vim"?

Comment 2 Robert-André Mauchin 🐧 2019-12-07 16:11:18 UTC
https://github.com/bronson/vim-trailing-whitespace/issues/19

Comment 3 Artem 2019-12-07 16:12:54 UTC
(In reply to Robert-André Mauchin from comment #1)
> I can't find any license anywhere, how do you know it's "Vim"?

I learned this from other maintainers and package in official repos so when there is no license then plugin is licensed under same license as Vim. But yes, need to investigate this more...

Comment 4 Robert-André Mauchin 🐧 2020-06-19 11:33:20 UTC
(In reply to Robert-André Mauchin from comment #2)
> https://github.com/bronson/vim-trailing-whitespace/issues/19

"Good question. I wrote it based on https://vim.fandom.com/wiki/Highlight_unwanted_spaces, which is cc-by-sa. To keep things easy, this one should probably be cc-by-sa too."

(In reply to Artem from comment #3)
> (In reply to Robert-André Mauchin from comment #1)
> > I can't find any license anywhere, how do you know it's "Vim"?
> 
> I learned this from other maintainers and package in official repos so when
> there is no license then plugin is licensed under same license as Vim. But
> yes, need to investigate this more...

Please use the aforementioned license?

Comment 6 Robert-André Mauchin 🐧 2020-06-19 19:09:22 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/vim-trailing-
     whitespace/review-vim-trailing-whitespace/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vim-trailing-whitespace-1.0-1.20191209git6b7cdec.fc33.noarch.rpm
          vim-trailing-whitespace-1.0-1.20191209git6b7cdec.fc33.src.rpm
vim-trailing-whitespace.noarch: W: spelling-error Summary(en_US) FixWhitespace -> Spaceflight
vim-trailing-whitespace.noarch: W: spelling-error %description -l en_US FixWhitespace -> Spaceflight
vim-trailing-whitespace.src: W: spelling-error Summary(en_US) FixWhitespace -> Spaceflight
vim-trailing-whitespace.src: W: spelling-error %description -l en_US FixWhitespace -> Spaceflight
vim-trailing-whitespace.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 7 Igor Raits 2020-06-19 19:16:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/vim-trailing-whitespace

Comment 8 Fedora Update System 2020-06-19 21:43:54 UTC
FEDORA-2020-15a43e14ca has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-15a43e14ca

Comment 9 Fedora Update System 2020-06-19 21:47:17 UTC
FEDORA-2020-e53b85d48f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e53b85d48f

Comment 10 Fedora Update System 2020-06-20 09:38:58 UTC
FEDORA-EPEL-2020-32d80a2c2b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-32d80a2c2b

Comment 11 Fedora Update System 2020-06-21 17:20:23 UTC
FEDORA-2020-e53b85d48f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e53b85d48f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e53b85d48f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-21 17:20:38 UTC
FEDORA-2020-15a43e14ca has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-15a43e14ca \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-15a43e14ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-06-23 01:28:03 UTC
FEDORA-EPEL-2020-32d80a2c2b has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-32d80a2c2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-06-29 01:05:47 UTC
FEDORA-2020-e53b85d48f has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-06-29 02:00:11 UTC
FEDORA-2020-15a43e14ca has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-07-08 00:33:15 UTC
FEDORA-EPEL-2020-32d80a2c2b has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.